Show Media Embed Locations

Retrieve embed location analytics for a video. Returns a list of pages where the
video is embedded, ranked by the chosen metric.

The date range between start_date and end_date must not exceed 2 years.

Requires api token with one of the following permissions

Read detailed stats

Tokens with the "Act with a team member's permissions" permission
(all:delegate_to_contact_permissions scope) can also be used. Requests
made with such a token are authorized using the permissions of the
contact assigned to the token.

An expiring access token
created with the all:delegate_to_contact_permissions scope and an
authorization granting the view-stats permission on this media can also
be used.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The hashed ID of the video.

Query Params
date
required

Start date for the analytics period in ISO 8601 format (YYYY-MM-DD). Inclusive — the range starts at the beginning of this date.

date
required

End date for the analytics period in ISO 8601 format (YYYY-MM-DD). Exclusive — the range ends before the beginning of this date.

string
enum
Defaults to plays

The metric to sort embed locations by.

Allowed:
string
enum
Defaults to desc

The sort direction.

Allowed:
string

Filter results to a single embed URL. When provided, only analytics for
the page matching this URL are returned. The protocol is optional (https is assumed).

integer
1 to 100
Defaults to 10

Number of results to return (max 100).

Headers
string
required
Defaults to 2026-09
Responses

404

Media not found or does not belong to account

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json